import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Crab crab = new Crab();
        addObject(crab, 80, 127);
        Worm worm = new Worm();
        addObject(worm, 404, 198);
        Worm worm2 = new Worm();
        addObject(worm2, 468, 318);
        Worm worm3 = new Worm();
        addObject(worm3, 355, 445);
        Worm worm4 = new Worm();
        addObject(worm4, 253, 367);
        Worm worm5 = new Worm();
        addObject(worm5, 349, 261);
        Worm worm6 = new Worm();
        addObject(worm6, 81, 437);
        Worm worm7 = new Worm();
        addObject(worm7, 210, 50);
        Lobster lobster = new Lobster();
        addObject(lobster, 493, 521);
        Lobster lobster2 = new Lobster();
        addObject(lobster2, 143, 454);
    }
}
